> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /tmdb/movies/watch

> Get where to watch a TMDB movie in a country: streaming, rental and purchase providers (via JustWatch) with the offer category and presentation quality.

**Price:** 1 credit



## OpenAPI

````yaml /openapi/movies-tv.json post /api/tmdb/movies/watch
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/tmdb/movies/watch:
    post:
      tags:
        - /tmdb
      summary: /tmdb/movies/watch
      description: >-
        Get where to watch a TMDB movie in a country: streaming, rental and
        purchase providers (via JustWatch) with the offer category and
        presentation quality.


        **Price:** 1 credit
      operationId: __api_tmdb_movies_watch_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TmdbMoviesWatchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TmdbWatchProvider'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TmdbMoviesWatchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        movie:
          type: string
          minLength: 1
        region:
          $ref: '#/components/schemas/TmdbRegion'
          default: US
      type: object
      required:
        - movie
    TmdbWatchProvider:
      properties:
        '@type':
          type: string
          default: TmdbWatchProvider
        provider:
          type: string
        category:
          type: string
        presentation:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - provider
        - category
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TmdbRegion:
      type: string
      enum:
        - AL
        - DZ
        - AD
        - AO
        - AG
        - AR
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BB
        - BY
        - BE
        - BZ
        - BM
        - BO
        - BA
        - BR
        - BG
        - BF
        - CM
        - CA
        - CV
        - TD
        - CL
        - CO
        - CR
        - HR
        - CU
        - CY
        - CZ
        - CI
        - CD
        - DK
        - DO
        - EC
        - EG
        - SV
        - GQ
        - EE
        - FJ
        - FI
        - FR
        - GF
        - PF
        - DE
        - GH
        - GI
        - GR
        - GP
        - GT
        - GG
        - GY
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IQ
        - IE
        - IL
        - IT
        - JM
        - JP
        - JO
        - KE
        - XK
        - KW
        - LV
        - LB
        - LY
        - LI
        - LT
        - LU
        - MK
        - MG
        - MW
        - MY
        - ML
        - MT
        - MU
        - MX
        - MD
        - MC
        - ME
        - MA
        - MZ
        - NL
        - NZ
        - NI
        - NE
        - NG
        - 'NO'
        - OM
        - PK
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PL
        - PT
        - QA
        - RO
        - RU
        - SM
        - SA
        - SN
        - RS
        - SC
        - SG
        - SK
        - SI
        - ZA
        - KR
        - ES
        - LC
        - SE
        - CH
        - TW
        - TZ
        - TH
        - TT
        - TN
        - TR
        - TC
        - UG
        - UA
        - AE
        - GB
        - US
        - UY
        - VA
        - VE
        - YE
        - ZM
        - ZW
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````